Bug 851200 - user can add multiple partitions with same mountpoint, UI cannot handle it
user can add multiple partitions with same mountpoint, UI cannot handle it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 09:36 EDT by Jan Sedlák
Modified: 2012-10-10 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 11:10:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sedlák 2012-08-23 09:36:26 EDT
Description of problem:
When configuring partitions by myself, I am able to add multiple partitions to mount to same mountpoint. If I do, only the latest created partition is displayed, but the remaining free size is displayed correctly. If I delete one partition, it remains there (the last but one is displayed) and so one.

How reproducible:
Always.

Steps to Reproduce:
1. Try to create partitions by yourself
2. Add more partitions, write same mountpoint.
  
Actual results:
UI lets user to to that, only one (latest) partition is displayed.

Expected results:
UI shouldn't let user to do that, there should be some kind of warning or, at least, it should display all partitions.
Comment 1 David Lehman 2012-10-04 19:14:37 EDT
This should be fixed in anaconda-18.13-1.
Comment 2 Jan Sedlák 2012-10-10 11:10:27 EDT
It works in newest anaconda, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.